Bug 26189 - silent failure possible
Summary: silent failure possible
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-05 20:26 UTC by Tim Waugh
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 22:00:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-02-05 20:26:19 UTC
When printing from gimp using the gimp-print Epson Stylus Colour 760 output
filter to a print queue configured for that printer, the job fails
silently.  lpq showed nothing out of the ordinary.

After hunting around I found that one of the status file had something like
'cannot print data files' in.

When I changed the print queue to RAW it works.  It _used_ to (Guinness)
work fine when I printed raw to a non-raw queue; it used to get passed
straight through.  I don't mind so much that it doesn't now, but it
shouldn't just fail silently IMHO.

Comment 1 Glen Foster 2001-02-05 22:58:52 UTC
This defect is considered MUST-FIX for Florence Release-Candidate #1

Comment 2 Crutcher Dunnavant 2001-02-06 16:27:44 UTC
Hmmm,
Okay, I'm not propagating an error code backwards properly, or something
similar. I'll do some checks on this today.

Comment 3 Crutcher Dunnavant 2001-02-06 22:00:19 UTC
I am droping some error codes, but magicfilter doesn't always wait on its
children to get its exit status, so I'll have fix magicfilter to fix this.

Comment 4 Crutcher Dunnavant 2001-02-09 22:22:20 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.